Subject: Re: [PATCH 04/12] docs: dt: fix references to m_can.txt file

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 17 Mar 2020 15:06:09 +0100

Em Tue, 17 Mar 2020 08:29:45 -0500
Dan Murphy <[email-masked]> escreveu:

> Hello
> 
> On 3/17/20 8:17 AM, Marc Kleine-Budde wrote:
> > On 3/17/20 2:10 PM, Mauro Carvalho Chehab wrote:  
> >> This file was converted to json and renamed. Update its
> >> references accordingly.
> >>
> >> Fixes: 824674b59f72 ("dt-bindings: net: can: Convert M_CAN to json-schema")  
> 
> I am trying to find out where the above commit was applied
> 
> I don't see it in can-next or linux-can. I need to update the tcan dt 
> binding file as it was missed.
> 
> And I am not sure why the maintainers of these files were not CC'd on 
> the conversion of this binding.

From Next/merge.log:

Merging devicetree/for-next (d047cd8a2760 scripts/dtc: Update to upstream version v1.6.0-2-g87a656ae5ff9)
$ git merge devicetree/for-next
Removing scripts/dtc/libfdt/Makefile.libfdt
Removing scripts/dtc/Makefile.dtc
...
 create mode 100644 Documentation/devicetree/bindings/net/can/bosch,m_can.yaml
 delete mode 100644 Documentation/devicetree/bindings/net/can/m_can.txt

It sounds that those came from DT for-next branch.

Thanks,
Mauro